<div class="conversation-dashboard cluster light-blue-bg">
    <div class="clusters-section flex wrap justify-space-between">
    <div class="clusters-section__title flex">
        <div><span class="text-accent">{{_('Opinion Groups')}}</span></div>
    </div>
        {% if json_data %}
            <div class="clusters-section__clusters">
                <div id="clusters-canvas-container">
                    <canvas id="cluster-canvas"></canvas>
                </div>
            </div>
            <div class="clusters-section__detail clusters-section__detail--filled">
                <h2> {{ biggest_cluster_data.get('name') }}</h2>
                <hr>
                <div>
                    <p class="clusters-section__comment-percentage">{{ biggest_cluster_data.get('percentage') }}%
                        {{_("agree with")}} </p>
                    <p class="clusters-section__main-comment"> {{ biggest_cluster_data.get('content') }}</p>
                </div>
                <div class="conversation-dashboard__button">
                    <a class="button is-primary" href="{{url('boards:cluster-index', **conversation.get_url_kwargs())}}">
                        {{_("Manage groups")}}
                    </a>
                </div>
            </div>
            {% else %}
            <div class="clusters-section__detail clusters-section__detail--empty">
                <div>
                    <p class="cluster-section__detail--null">{{_("Your conversation does not have personas.")}}</p>
                    <p class="bold">{{_("Without personas, it's not possible to create opinion groups.")}}</p>
                    <p>{{_("After modeling groups, you can check then here.")}}</p>
                </div>
                <div class="conversation-dashboard__button">
                    <a class="button is-primary float-left"
                        href="{{ url('boards:cluster-edit', **conversation.get_url_kwargs()) }}">{{_("Creates groups")}}</a>
                </div>
            </div>
            {% endif %}
    </div>
</div>

{% block javascript %}
    {% if json_data %}
        <script src="{{ static('js/clusterviz.js') }}"></script>
        <script>
            window.addEventListener('load', function () {
                var $canvas = $('#cluster-canvas'),
                    $canvasContainer = $('.clusters-section__clusters'),
                    size = $canvasContainer.width();
                    width = size;

                if(size >= 667) {
                    width = 500;
                }
                $canvas.css({width: width, height: 400});
                initializeForceLayout('#cluster-canvas', {{ json_data | safe }});
            });
        </script>
    {% endif %}
{% endblock %}
